## ros-galactic-gazebo-plugins 3.5.2

=== debian/changelog ===
ros-galactic-gazebo-plugins (3.5.2-5focal) focal; urgency=high

  * gazebo_ros_camera: Added accessor methods for camera properties (#1246 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1246>)
    * Added accessor methods to gazebo_ros_camera for subclass access to camera properties.
    * Removed ros node accessor; no longer needed
    * Removed const return types and added vector include to header
    Co-authored-by: kbjeppes <mailto:kaden.b.jeppesen@nasa.gov>
  * Fix tests for cyclonedds (#1228 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1228>) The
    default RMW implementation changed recently and some tests are now failing.
    This fixes the tests.  * Use KeepLast(1) with transient_local in tests There
    are some QoS incompatibilities in some tests that use SystemDefaultsQoS, so
    this changes them to use KeepLast(1) with transient_local instead. This fixes
    some of the test failures but not all.  * test_sim_time: allow more startup
    messages * Fix QoS and initialization of joint state pub test
  * Make p3d offset element names singular (#1210 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1210>)
    * Make p3d offset element names singular
    - <xyz_offsets> is renamed to <xyz_offset>
    - <rpy_offsets> is renamed to <rpy_offsets>
    The old names can still be used, but are deprecated.
    This is more consistent with the naming convention used in ROS 1 versions.
    * Add test for deprecated functionality
  * Contributors: Jacob Perron, Steve Peters, kjeppesen1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 15 Mar 2021 07:00:00 -0000

ros-galactic-gazebo-plugins (3.5.1-5focal) focal; urgency=high

  * colcon.pkg: build gazebo first in colcon workspace (#1192 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1192>)
    Add a colcon.pkg file to gazebo_dev with gazebo's cmake project
    name "Gazebo" listed as a dependency to support building
    gazebo from source in a colcon workspace.
    * Add colcon.pkg files for other packages
    Copy colcon.pkg to gazebo_ros, gazebo_plugins, and
    gazebo_ros_control so that --merge-install won't be required.
    Signed-off-by: Steve Peters <mailto:scpeters@openrobotics.org>
  * Fixed Parameterized testing on Rolling (#1184 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1184>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * adding buffer to gzebo ros hand of god plugin (#1179 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1179>)
    Fixes #1178 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1178>.
  * [gazebo_plugins] address warnings (#1151 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1151>)
    * use .c_str() for variadic template
    * silence warnings
    Signed-off-by: Karsten Knese <mailto:Karsten1987@users.noreply.github.com>
    Signed-off-by: Steve Peters <mailto:scpeters@openrobotics.org>
  * Port wheel slip plugin to ros2 (forward port from eloquent) (#1148 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1148>)
    Forward port of wheel slip plugin from eloquent (#1099 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1099>)
    to foxy.
    It includes a similar change to #1111 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1111>, which moved the
    WheelSlipPlugin::Load call before the parameter callback
    so that the values from SDF/URDF are set first.
    Then the callback is changed to ignore negative values, and the
    default slip parameter values are set to -1, so that the SDF/URDF
    values are still preferred unless a different parameter value
    is specified in a launch file.
    Signed-off-by: Steve Peters <scpeters@openrobotics.org>
  * Added ignition common profiler to ros2 (#1141 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1141>)
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, Karsten Knese, Steve Macenski, Steve Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 25 Nov 2020 08:00:00 -0000

ros-galactic-gazebo-plugins (3.5.0-5focal) focal; urgency=high

  * Merge pull request #1130 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1130> from ros-simulation/foxy_tests
    Fix all Foxy tests
  * Merge pull request #1129 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1129> from ros-simulation/e_to_f_june_2020
    Eloquent ➡️ Foxy
  * Apply acceleration until both left and right reach targetspeed (#1009 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1009>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * use target include directories (#1040 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1040>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Dashing -> Eloquent
  * [forward port] Image publishers use SensorDataQoSProfile (#1031 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1031>) (#1052 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1052>)
    All other sensor publishers were updated previously to use the same profile (#926 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/926>).
    I'm not sure if the image publishers were overlooked or the image_transport API didn't
    support setting the QoS profile at the time.
  * Fix cppcheck errors (#1123 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1123>)
    cppcheck 1.90 complains about syntax errors even though it is valid C++ code.
    This refactoring fixes the reported errors.
  * Replace deprecated parameters callback API (#1121 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1121>)
    rclcpp::Node now supports multiple parameter callbacks, so we do not need to worry about overwriting an existing callback.
    This change fixes compile time deprecation warnings since ROS Foxy.
  * Replace deprecated image_common headers (#1122 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1122>)

